## darcs 2.12.5

=== Makefile ===
#-o vim: set noexpandtab:
-include user-settings.inc
include cabal-make.inc

=== debian/changelog ===
darcs (2.12.5-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:23:57 -0400

=== debian/control ===
Source: darcs
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Erik de Castro Lopo <merikd@mega-nerd.com>,
 Petr Rockai <mornfall@debian.org>,
Priority: optional
Section: haskell
Build-Depends:
 bash-completion (>= 1:1.1),
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libcurl4-gnutls-dev (>= 7.19.1),
 libghc-async-dev (<< 2.2),
 libghc-async-dev (>= 2.0.1.4),
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-dev (>= 0.11),
 libghc-base16-bytestring-dev (<< 0.2),
 libghc-base16-bytestring-dev (>= 0.1),
 libghc-cryptohash-dev (<< 0.12),
 libghc-cryptohash-dev (>= 0.4),
 libghc-data-ordlist-dev (<< 0.5),
 libghc-data-ordlist-dev (>= 0.4),
 libghc-fgl-dev (<< 5.6),
 libghc-fgl-dev (>= 5.5.0.1),
 libghc-graphviz-dev (<< 2999.19),
 libghc-graphviz-dev (>= 2999.17.0.1),
 libghc-hashable-dev (<< 1.3),
 libghc-hashable-dev (>= 1.1.2.5),
 libghc-html-dev (<< 1.1),
 libghc-html-dev (>= 1.0.1.2),
 libghc-http-dev (<< 1:4000.4),
 libghc-http-dev (>= 1:4000.2.8),
 libghc-http-prof,
 libghc-mmap-dev (<< 0.6),
 libghc-mmap-dev (>= 0.5),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-dev (>= 2.1.2),
 libghc-mtl-prof,
 libghc-network-dev (<< 2.7),
 libghc-network-dev (>= 2.6),
 libghc-network-prof,
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-old-time-dev (<< 1.2),
 libghc-old-time-dev (>= 1.1),
 libghc-parsec3-dev (<< 3.2),
 libghc-parsec3-dev (>= 3.1),
 libghc-random-dev (<< 1.2),
 libghc-random-dev (>= 1.0.1.1),
 libghc-regex-applicative-dev (<< 0.4),
 libghc-regex-applicative-dev (>= 0.2),
 libghc-regex-compat-tdfa-dev (<< 0.96),
 libghc-regex-compat-tdfa-dev (>= 0.95.1),
 libghc-regex-compat-tdfa-prof,
 libghc-sandi-dev (<< 0.5),
 libghc-sandi-dev (>= 0.4),
 libghc-sandi-prof,
 libghc-tar-dev (<< 0.6),
 libghc-tar-dev (>= 0.4),
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 1.2.1.3),
 libghc-transformers-compat-dev (<< 0.6),
 libghc-transformers-compat-dev (>= 0.4),
 libghc-unix-compat-dev (<< 0.5),
 libghc-unix-compat-dev (>= 0.1.2),
 libghc-utf8-string-dev (>= 0.3.6),
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-prof,
 libghc-vector-dev (>= 0.10.0.1),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-zip-archive-dev (>= 0.2.3),
 libghc-zip-archive-dev (<< 0.4),
 libghc-zlib-dev (<< 0.7.0.0),
 libghc-zlib-dev (>= 0.5.4.1),
 libghc-zlib-prof,
 pkg-config,
Build-Depends-Indep:
 ghc-doc,
 libghc-async-doc,
 libghc-attoparsec-doc,
 libghc-base16-bytestring-doc,
 libghc-cryptohash-doc,
 libghc-data-ordlist-doc,
 libghc-fgl-doc,
 libghc-graphviz-doc,
 libghc-hashable-doc,
 libghc-html-doc,
 libghc-http-doc,
 libghc-mmap-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-time-doc,
 libghc-parsec3-doc,
 libghc-random-doc,
 libghc-regex-applicative-doc,
 libghc-regex-compat-tdfa-doc,
 libghc-sandi-doc,
 libghc-tar-doc,
 libghc-text-doc,
 libghc-transformers-compat-doc,
 libghc-unix-compat-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
 libghc-zip-archive-doc,
 libghc-zlib-doc,
Standards-Version: 3.9.8
Homepage: http://darcs.net/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/darcs
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: darcs
Architecture: any
Multi-Arch: foreign
Section: vcs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/darcs/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## darcs 2.14.0

=== debian/changelog ===
darcs (2.14.0-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release.
  * Patch for newer fgl and graphviz.  closes: #899392.

 -- Clint Adams <clint@debian.org>  Thu, 24 May 2018 21:40:09 -0400

darcs (2.12.5-3) unstable; urgency=medium

  * Patch for newer deps.

 -- Clint Adams <clint@debian.org>  Mon, 16 Apr 2018 22:28:07 -0400

darcs (2.12.5-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Drop Petr Rockai from Uploaders (Closes: #869340).
    Petr has retired from Debian.

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * Delete Uploaders field.  closes: #849134, #869340.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:39 -0400

=== debian/control ===
Source: darcs
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 haskell-devscripts (>= 0.13),
 bash-completion (>= 1:1.1),
 cdbs,
 debhelper (>= 10),
 libcurl4-gnutls-dev (>= 7.19.1),
 ghc (>= 8),
 ghc-prof,
 libghc-http-dev (>= 1:4000.2.20),
 libghc-http-dev (<< 1:4000.4),
 libghc-http-prof,
 libghc-async-dev (>= 2.0.2),
 libghc-async-dev (<< 2.2),
 libghc-async-prof,
 libghc-attoparsec-dev (>= 0.13.0.1),
 libghc-attoparsec-dev (<< 0.14),
 libghc-base16-bytestring-dev (>= 0.1),
 libghc-base16-bytestring-dev (<< 0.2),
 libghc-base16-bytestring-prof,
 libghc-cryptohash-dev (>= 0.11),
 libghc-cryptohash-dev (<< 0.12),
 libghc-data-ordlist-dev (>= 0.4),
 libghc-data-ordlist-dev (<< 0.5),
 libghc-data-ordlist-prof,
 libghc-fgl-dev (>= 5.5.2.3),
 libghc-fgl-prof,
 libghc-graphviz-dev (>= 2999.18.1),
 libghc-graphviz-prof,
 libghc-hashable-dev (>= 1.2.3.3),
 libghc-hashable-dev (<< 1.3),
 libghc-html-dev (>= 1.0.1.2),
 libghc-html-dev (<< 1.1),
 libghc-html-prof,
 libghc-mmap-dev (>= 0.5.9),
 libghc-mmap-dev (<< 0.6),
 libghc-mmap-prof,
 libghc-mtl-dev (>= 2.2.1),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-prof,
 libghc-network-dev (<< 2.7),
 libghc-network-dev (>= 2.6),
 libghc-network-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-prof,
 libghc-old-time-dev (>= 1.1.0.3),
 libghc-old-time-dev (<< 1.2),
 libghc-old-time-prof,
 libghc-parsec3-dev (>= 3.1.9),
 libghc-parsec3-dev (<< 3.2),
 libghc-parsec3-prof,
 libghc-random-dev (>= 1.1),
 libghc-random-dev (<< 1.2),
 libghc-regex-applicative-dev (>= 0.2),
 libghc-regex-applicative-dev (<< 0.4),
 libghc-regex-compat-tdfa-dev (>= 0.95.1),
 libghc-regex-compat-tdfa-dev (<< 0.96),
 libghc-regex-compat-tdfa-prof,
 libghc-sandi-dev (>= 0.4),
 libghc-sandi-dev (<< 0.5),
 libghc-sandi-prof,
 libghc-stm-dev (>= 2.1),
 libghc-stm-dev (<< 2.5),
 libghc-stm-prof,
 libghc-tar-dev (>= 0.5),
 libghc-tar-dev (<< 0.6),
 libghc-tar-prof,
 libghc-temporary-dev (>= 1.2.0.4),
 libghc-temporary-dev (<< 1.3),
 libghc-temporary-prof,
 libghc-text-dev (>= 1.2.1.3),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libghc-unix-compat-dev (>= 0.4.2),
 libghc-unix-compat-dev (<< 0.6),
 libghc-unix-compat-prof,
 libghc-utf8-string-dev (>= 1),
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-prof,
 libghc-vector-dev (>= 0.11),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-zip-archive-dev (>= 0.3),
 libghc-zip-archive-dev (<< 0.4),
 libghc-zip-archive-prof,
 libghc-zlib-dev (>= 0.6.1.2),
 libghc-zlib-dev (<< 0.7.0.0),
 libghc-zlib-prof,
 pkg-config,
Build-Depends-Indep:
 ghc-doc,
 libghc-async-doc,
 libghc-attoparsec-doc,
 libghc-base16-bytestring-doc,
 libghc-cryptohash-doc,
 libghc-data-ordlist-doc,
 libghc-fgl-doc,
 libghc-graphviz-doc,
 libghc-hashable-doc,
 libghc-html-doc,
 libghc-http-doc,
 libghc-mmap-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-time-doc,
 libghc-parsec3-doc,
 libghc-random-doc,
 libghc-regex-applicative-doc,
 libghc-regex-compat-tdfa-doc,
 libghc-sandi-doc,
 libghc-stm-doc,
 libghc-tar-doc,
 libghc-temporary-doc,
 libghc-text-doc,
 libghc-unix-compat-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
 libghc-zip-archive-doc,
 libghc-zlib-doc,
Standards-Version: 4.1.4
Homepage: http://darcs.net/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/darcs
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git

Package: darcs
Architecture: any
Multi-Arch: foreign
Section: vcs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

## darcs 2.14.1

=== debian/changelog ===
darcs (2.14.1-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:10 +0300

darcs (2.14.1-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-stm-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 17:50:16 +0300

darcs (2.14.1-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 14:13:17 +0300

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  cdbs,
  debhelper (>= 10),
  libcurl4-gnutls-dev (>= 7.19.1),
- ghc (>= 8),
+ ghc (>= 8.4.3),
  ghc-prof,
  libghc-http-dev (>= 1:4000.2.20),
  libghc-http-dev (<< 1:4000.4),
  libghc-http-prof,
  libghc-async-dev (>= 2.0.2),
- libghc-async-dev (<< 2.2),
+ libghc-async-dev (<< 2.3),
  libghc-async-prof,
  libghc-attoparsec-dev (>= 0.13.0.1),
  libghc-attoparsec-dev (<< 0.14),
@@ -28,8 +28,10 @@
  libghc-data-ordlist-dev (<< 0.5),
  libghc-data-ordlist-prof,
  libghc-fgl-dev (>= 5.5.2.3),
+ libghc-fgl-dev (<< 5.7),
  libghc-fgl-prof,
  libghc-graphviz-dev (>= 2999.18.1),
+ libghc-graphviz-dev (<< 2999.20.1),
  libghc-graphviz-prof,
  libghc-hashable-dev (>= 1.2.3.3),
  libghc-hashable-dev (<< 1.3),
@@ -39,11 +41,8 @@
  libghc-mmap-dev (>= 0.5.9),
  libghc-mmap-dev (<< 0.6),
  libghc-mmap-prof,
- libghc-mtl-dev (>= 2.2.1),
- libghc-mtl-dev (<< 2.3),
- libghc-mtl-prof,
- libghc-network-dev (<< 2.7),
  libghc-network-dev (>= 2.6),
+ libghc-network-dev (<< 2.8),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-dev (<< 2.7),
@@ -51,9 +50,6 @@
  libghc-old-time-dev (>= 1.1.0.3),
  libghc-old-time-dev (<< 1.2),
  libghc-old-time-prof,
- libghc-parsec3-dev (>= 3.1.9),
- libghc-parsec3-dev (<< 3.2),
- libghc-parsec3-prof,
  libghc-random-dev (>= 1.1),
  libghc-random-dev (<< 1.2),
  libghc-regex-applicative-dev (>= 0.2),
@@ -64,18 +60,9 @@
  libghc-sandi-dev (>= 0.4),
  libghc-sandi-dev (<< 0.5),
  libghc-sandi-prof,
- libghc-stm-dev (>= 2.1),
- libghc-stm-dev (<< 2.5),
- libghc-stm-prof,
  libghc-tar-dev (>= 0.5),
  libghc-tar-dev (<< 0.6),
  libghc-tar-prof,
- libghc-temporary-dev (>= 1.2.0.4),
- libghc-temporary-dev (<< 1.3),
- libghc-temporary-prof,
- libghc-text-dev (>= 1.2.1.3),
- libghc-text-dev (<< 1.3),
- libghc-text-prof,
  libghc-unix-compat-dev (>= 0.4.2),
  libghc-unix-compat-dev (<< 0.6),
  libghc-unix-compat-prof,
@@ -105,19 +92,14 @@
  libghc-html-doc,
  libghc-http-doc,
  libghc-mmap-doc,
- libghc-mtl-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
  libghc-old-time-doc,
- libghc-parsec3-doc,
  libghc-random-doc,
  libghc-regex-applicative-doc,
  libghc-regex-compat-tdfa-doc,
  libghc-sandi-doc,
- libghc-stm-doc,
  libghc-tar-doc,
- libghc-temporary-doc,
- libghc-text-doc,
  libghc-unix-compat-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
@@ -126,7 +108,7 @@
 Standards-Version: 4.1.4
 Homepage: http://darcs.net/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/darcs
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/darcs]
 
 Package: darcs
 Architecture: any

## darcs 2.14.2

=== debian/changelog ===
darcs (2.14.2-2build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:57:48 +0000

darcs (2.14.2-2build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:48:26 +0000

darcs (2.14.2-2) unstable; urgency=medium

  * Patch for newer deps

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 15:51:26 +0200

darcs (2.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 16:56:25 -0400

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libghc-data-ordlist-dev (<< 0.5),
  libghc-data-ordlist-prof,
  libghc-fgl-dev (>= 5.5.2.3),
- libghc-fgl-dev (<< 5.7),
+ libghc-fgl-dev (<< 5.8),
  libghc-fgl-prof,
  libghc-graphviz-dev (>= 2999.18.1),
  libghc-graphviz-dev (<< 2999.20.1),
@@ -42,7 +42,7 @@
  libghc-mmap-dev (<< 0.6),
  libghc-mmap-prof,
  libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 2.8),
+ libghc-network-dev (<< 2.9),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-dev (<< 2.7),
@@ -58,7 +58,7 @@
  libghc-regex-compat-tdfa-dev (<< 0.96),
  libghc-regex-compat-tdfa-prof,
  libghc-sandi-dev (>= 0.4),
- libghc-sandi-dev (<< 0.5),
+ libghc-sandi-dev (<< 0.6),
  libghc-sandi-prof,
  libghc-tar-dev (>= 0.5),
  libghc-tar-dev (<< 0.6),
@@ -73,7 +73,7 @@
  libghc-vector-dev (<< 0.13),
  libghc-vector-prof,
  libghc-zip-archive-dev (>= 0.3),
- libghc-zip-archive-dev (<< 0.4),
+ libghc-zip-archive-dev (<< 0.5),
  libghc-zip-archive-prof,
  libghc-zlib-dev (>= 0.6.1.2),
  libghc-zlib-dev (<< 0.7.0.0),

=== debian/watch ===
version=3
https://hackage.haskell.org/package/darcs/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## darcs 2.14.5

=== debian/changelog ===
darcs (2.14.5-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:52:32 +0200

darcs (2.14.5-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 21 Aug 2020 06:52:57 +0300

darcs (2.14.4-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Bump std-version to 4.5.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 18 Jun 2020 13:44:08 +0300

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,8 @@
  libghc-graphviz-dev (<< 2999.20.1),
  libghc-graphviz-prof,
  libghc-hashable-dev (>= 1.2.3.3),
- libghc-hashable-dev (<< 1.3),
+ libghc-hashable-dev (<< 1.4),
+ libghc-hashable-prof,
  libghc-html-dev (>= 1.0.1.2),
  libghc-html-dev (<< 1.1),
  libghc-html-prof,
@@ -42,7 +43,7 @@
  libghc-mmap-dev (<< 0.6),
  libghc-mmap-prof,
  libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 2.9),
+ libghc-network-dev (<< 3.2),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-dev (<< 2.7),
@@ -105,7 +106,7 @@
  libghc-vector-doc,
  libghc-zip-archive-doc,
  libghc-zlib-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://darcs.net/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/darcs
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/darcs]

## darcs 2.16.5

=== Makefile ===
all :
	runhaskell Setup configure --user
	runhaskell Setup build
	runhaskell Setup install
	cd example; ghc --make sample1

=== debian/changelog ===
darcs (2.16.5-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 20 Jan 2023 17:21:36 +0200

=== debian/control ===
Source: darcs
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 haskell-devscripts (>= 0.13),
 bash-completion (>= 1:1.1),
 cdbs,
 debhelper (>= 10),
 libcurl4-gnutls-dev (>= 7.19.1),
 ghc (>= 8.4.3),
 libghc-async-dev (>= 2.0.2),
 libghc-async-dev (<< 2.3),
 libghc-attoparsec-dev (>= 0.13.0.1),
 libghc-attoparsec-dev (<< 0.15),
 libghc-base16-bytestring-dev (>= 0.1.1.7),
 libghc-base16-bytestring-dev (<< 1.1),
 libghc-conduit-dev (>= 1.3.0),
 libghc-conduit-dev (<< 1.4),
 libghc-constraints-dev (>= 0.11),
 libghc-constraints-dev (<< 0.14),
 libghc-cryptonite-dev (>= 0.24),
 libghc-cryptonite-dev (<< 0.30),
 libghc-data-ordlist-dev (>= 0.4),
 libghc-data-ordlist-dev (<< 0.5),
 libghc-fgl-dev (>= 5.5.2.3),
 libghc-fgl-dev (<< 5.8),
 libghc-hashable-dev (>= 1.2.3.3),
 libghc-hashable-dev (<< 1.4),
 libghc-html-dev (>= 1.0.1.2),
 libghc-html-dev (<< 1.1),
 libghc-http-conduit-dev (>= 2.3),
 libghc-http-conduit-dev (<< 2.4),
 libghc-http-types-dev (>= 0.12.1),
 libghc-http-types-dev (<< 0.12.4),
 libghc-memory-dev (>= 0.14),
 libghc-memory-dev (<< 0.17),
 libghc-mmap-dev (>= 0.5.9),
 libghc-mmap-dev (<< 0.6),
 libghc-network-dev (>= 2.6),
 libghc-network-dev (<< 3.2),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.8),
 libghc-old-time-dev (>= 1.1.0.3),
 libghc-old-time-dev (<< 1.2),
 libghc-regex-applicative-dev (>= 0.2),
 libghc-regex-applicative-dev (<< 0.4),
 libghc-regex-base-dev (>= 0.94.0.1),
 libghc-regex-base-dev (<< 0.94.1),
 libghc-regex-tdfa-dev (>= 1.3.1.0),
 libghc-regex-tdfa-dev (<< 1.3.3),
 libghc-tar-dev (>= 0.5),
 libghc-tar-dev (<< 0.6),
 libghc-temporary-dev (>= 1.2.1),
 libghc-temporary-dev (<< 1.4),
 libghc-unix-compat-dev (>= 0.5),
 libghc-unix-compat-dev (<< 0.6),
 libghc-utf8-string-dev (>= 1),
 libghc-utf8-string-dev (<< 1.1),
 libghc-vector-dev (>= 0.11),
 libghc-vector-dev (<< 0.13),
 libghc-zip-archive-dev (>= 0.3),
 libghc-zip-archive-dev (<< 0.5),
 libghc-zlib-dev (>= 0.6.1.2),
 libghc-zlib-dev (<< 0.7.0.0),
 pkg-config,
Standards-Version: 4.6.1
Homepage: http://darcs.net/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/darcs
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/darcs]

Package: darcs
Architecture: any
Multi-Arch: foreign
Section: vcs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_CABAL_PACKAGE=darcs

DEB_SETUP_GHC_CONFIGURE_ARGS=$(if $(wildcard /usr/lib/ghc/*/libHSrts_thr.a),,-f-threaded) -fpkgconfig -fcurl -f-http -fterminfo --ghc-options="+RTS -V0 -RTS"

binary-post-install/darcs::
	dh_bash-completion

build/darcs :: build-ghc-stamp

install/darcs :: build/$(CABAL_PACKAGE)

## darcs 2.18.4

=== debian/changelog ===
darcs (2.18.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1054953, #1082790)
  * Declare compliance with Debian policy 4.7.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 26 Oct 2024 14:06:35 +0300

=== debian/control ===
--- 
+++ 
@@ -8,38 +8,37 @@
  bash-completion (>= 1:1.1),
  cdbs,
  debhelper (>= 10),
- libcurl4-gnutls-dev (>= 7.19.1),
- ghc (>= 8.4.3),
+ ghc (>= 9.6),
  libghc-async-dev (>= 2.0.2),
  libghc-async-dev (<< 2.3),
  libghc-attoparsec-dev (>= 0.13.0.1),
  libghc-attoparsec-dev (<< 0.15),
- libghc-base16-bytestring-dev (>= 0.1.1.7),
+ libghc-base16-bytestring-dev (>= 1.0),
  libghc-base16-bytestring-dev (<< 1.1),
  libghc-conduit-dev (>= 1.3.0),
  libghc-conduit-dev (<< 1.4),
  libghc-constraints-dev (>= 0.11),
- libghc-constraints-dev (<< 0.14),
+ libghc-constraints-dev (<< 0.15),
  libghc-cryptonite-dev (>= 0.24),
- libghc-cryptonite-dev (<< 0.30),
+ libghc-cryptonite-dev (<< 0.31),
  libghc-data-ordlist-dev (>= 0.4),
  libghc-data-ordlist-dev (<< 0.5),
  libghc-fgl-dev (>= 5.5.2.3),
- libghc-fgl-dev (<< 5.8),
+ libghc-fgl-dev (<< 5.9),
  libghc-hashable-dev (>= 1.2.3.3),
- libghc-hashable-dev (<< 1.4),
+ libghc-hashable-dev (<< 1.5),
  libghc-html-dev (>= 1.0.1.2),
  libghc-html-dev (<< 1.1),
  libghc-http-conduit-dev (>= 2.3),
  libghc-http-conduit-dev (<< 2.4),
  libghc-http-types-dev (>= 0.12.1),
- libghc-http-types-dev (<< 0.12.4),
+ libghc-http-types-dev (<< 0.12.5),
  libghc-memory-dev (>= 0.14),
- libghc-memory-dev (<< 0.17),
+ libghc-memory-dev (<< 0.19),
  libghc-mmap-dev (>= 0.5.9),
  libghc-mmap-dev (<< 0.6),
  libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 3.2),
+ libghc-network-dev (<< 3.3),
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-dev (<< 2.8),
  libghc-old-time-dev (>= 1.1.0.3),
@@ -48,24 +47,28 @@
  libghc-regex-applicative-dev (<< 0.4),
  libghc-regex-base-dev (>= 0.94.0.1),
  libghc-regex-base-dev (<< 0.94.1),
- libghc-regex-tdfa-dev (>= 1.3.1.0),
- libghc-regex-tdfa-dev (<< 1.3.3),
+ libghc-regex-tdfa-dev (>= 1.3.2),
+ libghc-regex-tdfa-dev (<< 1.4),
+ libghc-safe-dev (>= 0.3.20),
+ libghc-safe-dev (<< 0.4),
  libghc-tar-dev (>= 0.5),
- libghc-tar-dev (<< 0.6),
+ libghc-tar-dev (<< 0.7),
  libghc-temporary-dev (>= 1.2.1),
  libghc-temporary-dev (<< 1.4),
- libghc-unix-compat-dev (>= 0.5),
- libghc-unix-compat-dev (<< 0.6),
+ libghc-terminal-size-dev (>= 0.3.4),
+ libghc-terminal-size-dev (<< 0.4),
+ libghc-tls-dev (<< 2.0.0),
+ libghc-unix-compat-dev (>= 0.6),
+ libghc-unix-compat-dev (<< 0.8),
  libghc-utf8-string-dev (>= 1),
  libghc-utf8-string-dev (<< 1.1),
  libghc-vector-dev (>= 0.11),
- libghc-vector-dev (<< 0.13),
+ libghc-vector-dev (<< 0.14),
  libghc-zip-archive-dev (>= 0.3),
  libghc-zip-archive-dev (<< 0.5),
  libghc-zlib-dev (>= 0.6.1.2),
- libghc-zlib-dev (<< 0.7.0.0),
- pkg-config,
-Standards-Version: 4.6.1
+ libghc-zlib-dev (<< 0.8),
+Standards-Version: 4.7.0
 Homepage: http://darcs.net/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/darcs
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/darcs]

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_CABAL_PACKAGE=darcs

DEB_SETUP_GHC_CONFIGURE_ARGS=$(if $(wildcard /usr/lib/ghc/*/libHSrts_thr.a),,-f-threaded)

binary-post-install/darcs::
	dh_bash-completion

build/darcs :: build-ghc-stamp

install/darcs :: build/$(CABAL_PACKAGE)

## darcs 2.18.5

=== debian/changelog ===
darcs (2.18.5-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream version.
  * Fix thread support check.
  * Patch for newer dependencies.  closes: #1127981.

 -- Clint Adams <clint@debian.org>  Wed, 18 Feb 2026 09:04:20 -0500

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends:
  haskell-devscripts (>= 0.13),
  bash-completion (>= 1:1.1),
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 9.6),
  libghc-async-dev (>= 2.0.2),
  libghc-async-dev (<< 2.3),
- libghc-attoparsec-dev (>= 0.13.0.1),
+ libghc-attoparsec-dev (>= 0.14.4),
  libghc-attoparsec-dev (<< 0.15),
  libghc-base16-bytestring-dev (>= 1.0),
  libghc-base16-bytestring-dev (<< 1.1),
@@ -26,7 +26,7 @@
  libghc-fgl-dev (>= 5.5.2.3),
  libghc-fgl-dev (<< 5.9),
  libghc-hashable-dev (>= 1.2.3.3),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (<< 1.6),
  libghc-html-dev (>= 1.0.1.2),
  libghc-html-dev (<< 1.1),
  libghc-http-conduit-dev (>= 2.3),
@@ -57,7 +57,7 @@
  libghc-temporary-dev (<< 1.4),
  libghc-terminal-size-dev (>= 0.3.4),
  libghc-terminal-size-dev (<< 0.4),
- libghc-tls-dev (<< 2.0.0),
+ libghc-tls-dev (>= 2.1.0),
  libghc-unix-compat-dev (>= 0.6),
  libghc-unix-compat-dev (<< 0.8),
  libghc-utf8-string-dev (>= 1),
@@ -68,8 +68,8 @@
  libghc-zip-archive-dev (<< 0.5),
  libghc-zlib-dev (>= 0.6.1.2),
  libghc-zlib-dev (<< 0.8),
-Standards-Version: 4.7.0
-Homepage: http://darcs.net/
+Standards-Version: 4.7.3
+Homepage: https://darcs.net/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/darcs
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/darcs]

=== debian/rules ===
#!/usr/bin/make -f

RTS_WAYS := (shell ghc --info | grep -e 'RTS ways')

ifeq (,$(filter $(RTS_WAYS),thr_dyn))
export DEB_SETUP_GHC_CONFIGURE_ARGS=-f-threaded
endif

%:
	dh $@ --with bash-completion
